

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_cat_tipoCatalogo_listaPrecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_cat_tipoCatalogo_listaPrecio]
GO
CREATE PROCEDURE [reg_cat_tipoCatalogo_listaPrecio]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[tipoCatalogo_listaPrecio] AS [tipoCatalogo_listaPrecio],
		[porcentaje] AS [porcentaje],
		[id_tipoCatalogo] AS [id_tipoCatalogo],
		[id_listaPrecio] AS [id_listaPrecio]
	FROM [cat_tipoCatalogo_listaPrecio]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_cat_tipoCatalogo_listaPrecio]')) DROP VIEW [dbo].[view_cat_tipoCatalogo_listaPrecio]
GO
CREATE  VIEW [view_cat_tipoCatalogo_listaPrecio] AS
SELECT 	[cat_tipoCatalogo_listaPrecio].[id] AS [id],
		[cat_tipoCatalogo_listaPrecio].[uid] AS [uid],
		[cat_tipoCatalogo_listaPrecio].[eid] AS [eid],
		[cat_tipoCatalogo_listaPrecio].[id_usuario_modifico] AS [id_usuario_modifico],
		[cat_tipoCatalogo_listaPrecio].[id_usuario_creo] AS [id_usuario_creo],
		[cat_tipoCatalogo_listaPrecio].[fechaModificacion] AS [fechaModificacion],
		[cat_tipoCatalogo_listaPrecio].[fechaCreacion] AS [fechaCreacion],
		[cat_tipoCatalogo_listaPrecio].[active] AS [active],
		[cat_tipoCatalogo_listaPrecio].[tipoCatalogo_listaPrecio] AS [tipoCatalogo_listaPrecio],
		[cat_tipoCatalogo_listaPrecio].[porcentaje] AS [porcentaje],
		[cat_tipoCatalogo_listaPrecio].[id_tipoCatalogo] AS [id_tipoCatalogo],
[cat_tipoCatalogo].[tipoCatalogo] as [cat_tipoCatalogo_tipoCatalogo],
[cat_tipoCatalogo].[tipoCatalogo_codigo] as [cat_tipoCatalogo_tipoCatalogo_codigo],
[cat_tipoCatalogo].[afectaInventario] as [cat_tipoCatalogo_afectaInventario],
[cat_tipoCatalogo].[afectaProduccion] as [cat_tipoCatalogo_afectaProduccion],
		[cat_tipoCatalogo_listaPrecio].[id_listaPrecio] AS [id_listaPrecio],
[cat_listaPrecio].[listaPrecio] as [cat_listaPrecio_listaPrecio],
[cat_listaPrecio].[listaPrecio_codigo] as [cat_listaPrecio_listaPrecio_codigo],
[cat_listaPrecio].[porcentajeDescuento] as [cat_listaPrecio_porcentajeDescuento],
[cat_listaPrecio].[esPrivado] as [cat_listaPrecio_esPrivado],
[cat_listaPrecio].[id_moneda] as [cat_listaPrecio_id_moneda],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [cat_tipoCatalogo_listaPrecio]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[cat_tipoCatalogo_listaPrecio].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[cat_tipoCatalogo_listaPrecio].[id_usuario_creo]
	INNER JOIN [cat_tipoCatalogo] ON [cat_tipoCatalogo].id=[cat_tipoCatalogo_listaPrecio].[id_tipoCatalogo]
	INNER JOIN [cat_listaPrecio] ON [cat_listaPrecio].id=[cat_tipoCatalogo_listaPrecio].[id_listaPrecio]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [cat_tipoCatalogo_listaPrecio].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_modifico]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_creo]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXtipoCatalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXtipoCatalogo]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXtipoCatalogo]
	@p_id_tipoCatalogo INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_tipoCatalogo]= @p_id_tipoCatalogo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXlistaPrecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXlistaPrecio]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXlistaPrecio]
	@p_id_listaPrecio INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_listaPrecio]= @p_id_listaPrecio)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPrecios]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPrecios]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPrecios]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_cat_tipoCatalogo_listaPrecio]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_cat_tipoCatalogo_listaPrecios]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_cat_tipoCatalogo_listaPrecios]
GO
CREATE PROCEDURE [lis_cat_tipoCatalogo_listaPrecios]
	AS
BEGIN
	SELECT id AS id,
[tipoCatalogo_listaPrecio] AS [cat_tipoCatalogo_listaPrecio]
	FROM [cat_tipoCatalogo_listaPrecio]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_cat_tipoCatalogo_listaPrecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_cat_tipoCatalogo_listaPrecio]
GO
CREATE PROCEDURE [upd_cat_tipoCatalogo_listaPrecio]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_tipoCatalogo_listaPrecio varchar(300) = null,
		@p_porcentaje float = null,
		@p_id_tipoCatalogo int = null,
		@p_id_listaPrecio int = null
AS
BEGIN
		UPDATE [cat_tipoCatalogo_listaPrecio]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[tipoCatalogo_listaPrecio] = isnull(@p_tipoCatalogo_listaPrecio,[tipoCatalogo_listaPrecio]),
			[porcentaje] = isnull(@p_porcentaje,[porcentaje]),
			[id_tipoCatalogo] = isnull(@p_id_tipoCatalogo,[id_tipoCatalogo]),
			[id_listaPrecio] = isnull(@p_id_listaPrecio,[id_listaPrecio])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_cat_tipoCatalogo_listaPrecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_cat_tipoCatalogo_listaPrecio]
GO
CREATE PROCEDURE [ins_cat_tipoCatalogo_listaPrecio]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_tipoCatalogo_listaPrecio varchar(300),
		@p_porcentaje float,
		@p_id_tipoCatalogo int,
		@p_id_listaPrecio int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [cat_tipoCatalogo_listaPrecio]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[tipoCatalogo_listaPrecio],
			[porcentaje],
			[id_tipoCatalogo],
			[id_listaPrecio])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_tipoCatalogo_listaPrecio,
			@p_porcentaje,
			@p_id_tipoCatalogo,
			@p_id_listaPrecio)
		SET @v_id = scope_identity()
UPDATE [cat_tipoCatalogo_listaPrecio] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_cat_tipoCatalogo_listaPrecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_cat_tipoCatalogo_listaPrecio]
GO
CREATE PROCEDURE [act_cat_tipoCatalogo_listaPrecio]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [cat_tipoCatalogo_listaPrecio]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_cat_tipoCatalogo_listaPrecio_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_cat_tipoCatalogo_listaPrecio_m]
GO
CREATE PROCEDURE [reg_cat_tipoCatalogo_listaPrecio_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[tipoCatalogo_listaPrecio] AS [tipoCatalogo_listaPrecio],
		[porcentaje] AS [porcentaje],
		[id_tipoCatalogo] AS [id_tipoCatalogo],
		[id_listaPrecio] AS [id_listaPrecio]
	FROM [cat_tipoCatalogo_listaPrecio]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXtipoCatalogo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXtipoCatalogo_m]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXtipoCatalogo_m]
	@p_id_tipoCatalogo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_tipoCatalogo]= @p_id_tipoCatalogo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPreciosXlistaPrecio_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPreciosXlistaPrecio_m]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPreciosXlistaPrecio_m]
	@p_id_listaPrecio INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_tipoCatalogo_listaPrecio]
	WHERE ([id_listaPrecio]= @p_id_listaPrecio)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_tipoCatalogo_listaPrecios_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_tipoCatalogo_listaPrecios_m]
GO
CREATE PROCEDURE [sel_cat_tipoCatalogo_listaPrecios_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_cat_tipoCatalogo_listaPrecio]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_cat_tipoCatalogo_listaPrecios_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_cat_tipoCatalogo_listaPrecios_m]
GO
CREATE PROCEDURE [lis_cat_tipoCatalogo_listaPrecios_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[tipoCatalogo_listaPrecio] AS [cat_tipoCatalogo_listaPrecio]
	FROM [cat_tipoCatalogo_listaPrecio]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_cat_tipoCatalogo_listaPrecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_cat_tipoCatalogo_listaPrecio]
GO
CREATE PROCEDURE [aud_cat_tipoCatalogo_listaPrecio]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [cat_tipoCatalogo_listaPrecio].id as id_tabla,
	[cat_tipoCatalogo_listaPrecio].id_usuario_modifico as id_usuario_modifico,
	[cat_tipoCatalogo_listaPrecio].id_usuario_creo as id_usuario_creo,
	[cat_tipoCatalogo_listaPrecio].fechaModificacion as fechaModificacion,
	[cat_tipoCatalogo_listaPrecio].fechaCreacion as fechaCreacion,
	[cat_tipoCatalogo_listaPrecio].active as active,
	[cat_tipoCatalogo_listaPrecio].[tipoCatalogo_listaPrecio] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [cat_tipoCatalogo_listaPrecio]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[cat_tipoCatalogo_listaPrecio].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[cat_tipoCatalogo_listaPrecio].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'cat_tipoCatalogo_listaPrecio'
-----------------------------------18/11/2016 9:05:52